Summary:	Networking support for GLib
Summary(pl.UTF-8):	Obsługa sieci dla GLiba
Name:		glib-networking
Version:	2.58.0
Release:	1
License:	LGPL v2
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glib-networking/2.58/%{name}-%{version}.tar.xz
# Source0-md5:	75b14b7e73a67753be9ce307751c661d
URL:		http://www.gnome.org/
BuildRequires:	gettext-tools >= 0.19.4
BuildRequires:	glib2-devel >= 1:2.55.1
BuildRequires:	gnutls-devel >= 3.3.5
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	libproxy-devel >= 0.3.1
BuildRequires:	libtool >= 2:2.0
BuildRequires:	meson >= 0.43.0
BuildRequires:	ninja
BuildRequires:	p11-kit-devel >= 0.20
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.727
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.55.1
Requires:	ca-certificates
Requires:	glib2 >= 1:2.55.1
Requires:	gnutls >= 3.3.5
Requires:	gsettings-desktop-schemas
Requires:	libproxy >= 0.3.1
Requires:	p11-kit >= 0.20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains modules that extend the networking support in
GIO. In particular, it contains a libproxy-based GProxyResolver
implementation and a gnutls-based GTlsConnection implementation.

%description -l pl.UTF-8
Ten pakiet zawiera moduły rozszerzające obsługę sieci w GIO, w
szczególności: implementację GProxyResolver opartą na libproxy oraz
implementację GTlsConnection opartą na gnutls.

%prep
%setup -q

%build
%meson build \
	-Dca_certificates_path=/etc/certs/ca-certificates.crt \
	-Dinstalled_tests=false

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%postun
umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_libexecdir}/glib-pacrunner
%attr(755,root,root) %{_libdir}/gio/modules/libgiognutls.so
%attr(755,root,root) %{_libdir}/gio/modules/libgiolibproxy.so
%attr(755,root,root) %{_libdir}/gio/modules/libgiognomeproxy.so
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service
%{systemduserunitdir}/glib-pacrunner.service
%changelog
* Mon Oct 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glib-networking.git;a=log;h=master

* Sun Sep 23 2018 Jan Palus <atler@pld-linux.org> 8958b35
- up to 2.58.0

* Fri May 25 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 4cc3e57
- Update to 2.56.1

* Wed Apr 18 2018 Jan Palus <atler@pld-linux.org> 8895c4f
- up to 2.56.0

* Wed Sep 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> ffab356
- Update to 2.54.0

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> cdf910a
- rebuild with gnutls 3.5
- release 2 (by relup.sh)

* Thu Sep 22 2016 Jakub Bogusz <qboosh@pld-linux.org> bbfaa01
- updated i18n related BRs

* Mon Sep 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> cedcbcb
- Update to 2.50.0

* Wed May 11 2016 Jakub Bogusz <qboosh@pld-linux.org> a63753d
- updated to 2.48.2

* Tue Apr 05 2016 Marcin Banasiak <marcin.banasiak@gmail.com> a2206ec
- Update to 2.48.0

* Wed Oct 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 62cf4db
- updated to 2.46.1

* Sat Sep 26 2015 Łukasz Kieś <kiesiu@pld-linux.org> 20fba7a
- updated to 2.46.0

* Tue Mar 24 2015 Jakub Bogusz <qboosh@pld-linux.org> f4dc606
- updated dependencies (glib 2.42, no more libgcrypt)

* Mon Mar 23 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 0ad7bb3
- Update to 2.44.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 384f8d7
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 1cd49ef
- updated to 2.42.1

* Sun Sep 28 2014 Łukasz Kieś <kiesiu@pld-linux.org> a7cb206
- updated to 2.42.0

* Wed Apr 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 64b5b6b
- updated to 2.40.1

* Mon Mar 24 2014 Łukasz Kieś <kiesiu@pld-linux.org> 4296d0d
- updated to 2.40.0

* Tue Nov 12 2013 Łukasz Kieś <kiesiu@pld-linux.org> 11d5b00
- updated to 2.38.2

* Wed Oct 16 2013 Łukasz Kieś <kiesiu@pld-linux.org> e121f06
- updated to 2.38.1

